
Core - Bug # 34160

Status: Closed Priority: Should have
Author: Andreas Wolf Category: File Abstraction Layer (FAL)
Created: 2012-02-21 Assigned To:
Updated: 2014-09-15 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Replacing/Overwriting a file could leave a stale index record
Description

Currently, when overwriting a file, we have this situation:

    1. When copying a file over another file, everything is fine
    2. When moving a file over another file, everything is fine if only one of them (or none) is indexed
    3. When the new file is freshly uploaded, everything is fine

So there basically is one critical case: When two index records would point to the same location after changing them (this already fails
in the indexer when detecting files moved outside of TYPO3). Currently there is no logic to resolve such conflicts, but we should
definitely have it.

In general, the simplest approach would be to take the most recently updated index entry and change the references to all other
conflicting files to point to this uid. However, the infrastructure for these operations is still missing (e.g. in the repository)

Related issues:
blocks Core - Bug # 45110: File is listed twice in sys_file Closed 2013-02-03

History
#1 - 2012-03-16 12:30 - Andreas Wolf
- Subject changed from Replacing/Overwriting a file coule leave a stale index record to Replacing/Overwriting a file could leave a stale index record

#2 - 2012-04-30 16:13 - Ingmar Schlecht
- Target version set to 6.0 beta1

#3 - 2012-09-03 11:05 - Steffen Ritter
- Target version changed from 6.0 beta1 to 6.0 beta 2

#4 - 2013-02-04 11:07 - Andreas Wolf
- Status changed from New to Accepted
- Target version changed from 6.0 beta 2 to 6.1

#5 - 2013-02-04 11:07 - Andreas Wolf
- Project changed from File Abstraction Layer to Core
- Target version deleted (6.1)

#6 - 2013-02-04 11:09 - Andreas Wolf
- Category set to File Abstraction Layer (FAL)
- Target version set to 6.1.0
- TYPO3 Version set to 6.0
#7 - 2014-03-17 20:06 - Steffen Ritter
- Status changed from Accepted to Needs Feedback
- Assigned To deleted (Andreas Wolf)
- Target version deleted (6.1.0)
- Is Regression set to No

I don't think we will fix that in 6.1/6.0 anymore

#8 - 2014-03-19 10:01 - Stefan Neufeind

Is that solved with 45110 for 6.2 already? If no files are duplicate in 6.2 anymore, do we need a "deduplication" upon upgrade maybe? But since we
might have references to the old IDs I expect that might not be possible.

#9 - 2014-09-15 15:07 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback within the last 90 days => closing this issue.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.

2015-08-04 2/2


